package com.goldenwater.slaj.hazard.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import com.goldenwater.slaj.hazard.domain.TBusiHazCount;

/**
 * 危险源统计 数据层
 */
@Mapper
public interface TBusiHazCountMapper {

    /**
     * 查询危险源统计信息
     * @param guid 查询条件
     * @return 危险源统计信息
     */
    TBusiHazCount selectTBusiHazCountByGuid(String guid);

    /**
     * 查询危险源统计列表
     * @param tBusiHazCount 危险源统计查询条件
     * @return 危险源统计集合
     */
    List<TBusiHazCount> selectTBusiHazCountList(TBusiHazCount tBusiHazCount);

    /**
     * 新增危险源统计
     * @param tBusiHazCount 危险源统计信息
     * @return 影响行数
     */
    int insertTBusiHazCount(TBusiHazCount tBusiHazCount);

    /**
     * 修改危险源统计
     * @param tBusiHazCount 危险源统计信息
     * @return 影响行数
     */
    int updateTBusiHazCount(TBusiHazCount tBusiHazCount);

    /**
     * 删除危险源统计
     * @param guid 危险源统计主键
     * @return 影响行数
     */
    int deleteTBusiHazCountByGuid(String guid);

    /**
     * 批量删除危险源统计
     * @param guids 危险源统计主键数组
     * @return 影响行数
     */
    int deleteTBusiHazCountByGuids(String[] guids);
}
